Bug 102728 - hdparm gives wrong model info
hdparm gives wrong model info
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: hdparm (Show other bugs)
2.1
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Karsten Hopp
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-20 08:42 EDT by Christian Hofmann
Modified: 2015-01-07 19:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-01 10:37:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christian Hofmann 2003-08-20 08:42:57 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021105

Description of problem:
hdparm exchanges lettern in model names of ide devices:

Should be maxtor und liteon



Version-Release number of selected component (if applicable):
hdparm-4.1-2

How reproducible:
Always

Steps to Reproduce:
1.run hdparm -I /devhda
2.
3.
    

Actual Results:  [root@station3 ks]# hdparm -I /dev/hdc

/dev/hdc:

 Model=ILETNO  VD-DOR MTL1D36                  , FwRev=DGGH    , SerialNo=     
              
 Config={ Fixed Removeable DTR<=5Mbs DTR>10Mbs nonMagnetic }
 RawCHS=0/0/0, TrkSize=0, SectSize=0, ECCbytes=0
 BuffType=unknown, BuffSize=0kB, MaxMultSect=0
 (maybe): CurCHS=0/0/0, CurSects=0, LBA=yes, LBAsects=0
 IORDY=yes, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 *udma2 
 AdvancedPM=no

[root@station3 ks]# hdparm -I /dev/hda

/dev/hda:

 Model=aMtxro6 0E040L                          , FwRev=AN6R5109,
SerialNo=1EZ3QJEN            
 Config={ Fixed }
 RawCHS=16383/16/63, TrkSize=0, SectSize=0, ECCbytes=57
 BuffType=DualPortCache, BuffSize=2048kB, MaxMultSect=16, MultSect=16
 CurCHS=16383/16/63, CurSects=-66060037, LBA=yes, LBAsects=80293248
 IORDY=on/off, tPIO={min:120,w/IORDY:120}, tDMA={min:120,rec:120}
 PIO modes: pio0 pio1 pio2 pio3 pio4 
 DMA modes: mdma0 mdma1 mdma2 udma0 udma1 udma2 udma3 udma4 *udma5 udma6 
 AdvancedPM=yes: disabled (255)
 Drive Supports : ataATA-1 ATA-2 ATA-3 ATA-4 ATA-5 ATA-6 ATA-7 


Expected Results:  ream model names

Additional info:

Note You need to log in before you can comment on or make changes to this bug.